#!/bin/bash
while read line
do
	touch ./temptp4.txt
	file="./temptp4.txt"
	echo $line > $file
	user=$(cut -d "," -f 1 $file)
	usergroup=$(cut -d "," -f 5 $file)
	passwd=$(cut -d "," -f 2 $file)
	if ! grep -q $usergroup /etc/group ; then
		echo "Tentative de création du groupe"
		groupadd "$usergroup"
	fi
	useradd $user -d /dev/null -s /bin/false
	usermod -aG $usergroup $user
	(echo $passwd ; echo $passwd) | smbpasswd -a $user
	rm ./temptp4.txt
done < /root/files/logins.csv
